#ifndef PARAMS_H
#define PARAMS_H

/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006-2010 Smithsonian Astrophysical Observatory
 *
 * This file is part of aperture
 *
 * aperture is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * -->8-->8-->8-->8-- */

#define PBUFSIZE 512

typedef struct {
  char in[PBUFSIZE+1];
  char out[PBUFSIZE+1];
  char cfgfile[PBUFSIZE+1];
  char cfgpars[PBUFSIZE+1];
  char statistics[PBUFSIZE+1];

  int version;
  int help;
} Params;

void  get_parameters( int argc, char *argv[], Params *io );

#endif  /* PARAMS_H */


