require('common' )
local str = require('saotrace.suplib.strings' )

function oki( vars, input, output )

 local interp = str.interp( input, vars )

 ok( interp == output, input )

end

------------------------------------------------
-- str_interp

-- not putenv/setenv from Lua (3.1 at least) so can't
-- test interpolation of environmental variables directly

vars = { _a = 1, _b = 2, cc = 3, ["3a"] = 4 }

oki( vars, "$_a ${c }d", "1 ${c }d" )

oki( vars, "$_a ${c d", "1 ${c d" )

oki( vars, "$_a ${cc}d", "1 3d" )

oki( vars, "$xx ${cc}d", "$xx 3d" )

oki( vars, "$3a ${cc}d", "$3a 3d" )

oki( nil, "$3a ${cc}d", "$3a ${cc}d" )


------------------------------------------------
test_summary()
