module( ..., package.seeall )

local merge = require( 'saotrace.suplib.tables' ).merge

require( 'deepcompare')

function test_merge3( )

   local exp = { a = 1, b = 2, c = 3 }

   local tbl = merge( nil, { a = 1 }, { b = 2 }, { c = 3 } )

   assert_true( deepcompare( exp, tbl ) )


end

function test_merge_deep( )

   local exp = { a = 1, b = 2, c = 3, d = { e = 4, f = 5 } }

   local tbl = merge( nil,
		      { a = 1 },
		      { b = 2 },
		      { c = 3 },
		      { d = { e = 4 } },
		      { d = { f = 5 } }
		   )
   assert_true( deepcompare( exp, tbl ) )


end

