#include <stdio.h>
#include <libgen.h>

#include <tracefct/tracefct.h>

#include "config.h"

#include "common.h"
#include "main.h"
#include "gparam.h"
#include "usage.h"
#include "process.h"

int
main(int argc, char *argv[])
{
  char *prog = basename( argv[0] );

  tf_init(prog, 0, 0);

  gparam(argc, argv);

  if ( c.help )
  {
    usage( );
    return EXIT_SUCCESS;
  }

  if (c.version)
  {
    printf( "%s version %s\n", prog, VERSION);
    return EXIT_SUCCESS;
  }

  process();

  return EXIT_SUCCESS;
}
