#ifndef _IRAF_H
#define _IRAF_H

ParamList *IRAFParOpen (const char *psetname, const char *filename, const char *mode);
ParamList *IRAFStrOpen (const char *psetname, char *str);
Parameter *ParamPositional (ParamList * plist, int position, char *value);
Parameter *ParamCreate (char *name, VType type, int *mode, char *value,
			Parameter * mmptp);
VType PLookupType (ParamList * reference, char *name);
void ESCQuote (char *str);
char *ESCUnQuote (char *str);
char *locatepfile (const char *fname);
char *locateptemplate (char *fname, char *dname);
void mkpfilename (char *buf, char *dir, char *pkname, char *ltname,
		  char *extn);


#endif /* ! _IRAF_H */
