# bpipe fields to create. only list fields which are structures,
# although it's not an error to list atomic types.
# syntax: bpipe <bp_name> <bp_type> [<array extent>]


# mapping to bpipe. 
# syntax: map <name> <bp_name> [<bp_type>]
# don't specify the type if it's an element in a structure

bpipe direction DVector3
map   direction_x direction.x
map   direction_y direction.y
map   direction_z direction.z

bpipe position DVector3
map   position_x position.x
map   position_y position.y
map   position_z position.z

bpipe surface_norm DVector3
map   surface_norm_x surface_norm.x
map   surface_norm_y surface_norm.y
map   surface_norm_z surface_norm.z

map weight weight double
map energy energy double
map id id uint
map time time double
map graze_angle graze_angle double
map surf_missed surf_missed uint
