module( ..., package.seeall )

local table = require( 'table' )
local os = require( 'os' )

local deepcompare = require( 'deepcompare' )

local srcdir = os.getenv('srcdir') or '.'

local ea_db = table.concat( { srcdir, 'data', 'annulus.rdb'}, '/' )

local ea = require( 'saotrace.raygen.ea.ring_n_spoke' )

function test_stupid()

   local ok, msg = pcall( ea.entrance_aperture,
			  {
			     shell = 2,
			     file = ea_db,
			     nrings = 5,
			     nspokes = 12,
			     aperture = { type = 'circle', r = .2 },
			  } )

   assert_true( ok, msg )


end


